

// *************************************************************************
// test functions
// *************************************************************************

#include "hdstr.h"
#include "hcall.h"
#include "hdir.h"
#include "string.h"
#include "hmkdir.h"
#include "hcat.h"
#include "hlow.h"
#include "hfile.h"
#include <ctype.h>
#include <stdio.h>
#include "hblock.h"
#include "hmalloc.h"


void dofunc(int action)

{
	hddirfunc(strtok(NULL," "),action);
}


void dodir(int action)
{
	char *path;
	path = strtok(NULL," ");
	switch (action)
	{
		case 0: mkdir(path); break;
		case 1: rmdir(path); break;
		case 2: chdir(path); break;
	}
}

void docat()
{
	char *full, *path;

	full = strtok(NULL," ");
	path = strtok(NULL," ");

	if (*full == '0') catalog(0,path);
	else catalog(1,path);
}

void docmd(char* cmd)
{	
	char *tok;

	tok = cmd;
	while (tok) 
	{
		*tok = tolower(*tok); tok++;
	}

	tok = 	strtok(cmd," ");

	     if (!strcmp(tok,"dir")) 		docat();
	else if (!strcmp(tok,"erase")) 		dofunc(0);
	else if (!strcmp(tok,"mkdir")) 		dodir(0);
	else if (!strcmp(tok,"rmdir")) 		dodir(1);
	else if (!strcmp(tok,"chdir")) 		dodir(2);
	else if (!strcmp(tok,"hide")) 		dofunc(1);
	else if (!strcmp(tok,"unhide")) 	dofunc(2);
	else if (!strcmp(tok,"protect")) 	dofunc(3);
	else if (!strcmp(tok,"unprotect")) 	dofunc(4);
	else if (!strcmp(tok,"archive")) 	dofunc(6);
	else if (!strcmp(tok,"unarchive")) 	dofunc(7);
	else hderror(29);
}
