
#include "hdstr.h"
#include "hblock.h"
#include "hfile.h"
#include "hlow.h"

void moveout(int handle,s_samadr *sstart, long length , char ffast)
{
 	s_chan *chan;

 	chan = &streams[handle].fsam->f_fib.f_chan;

 	if ((length >= 512))
 	{
	  	// buffer must be aligned for 512 bytes	
	  	if (chan->c_offset%512)
	  	{
		  	do
		  	{
		  		hputc(sgetc(sstart),handle);
		  		saminc(sstart,1);
		  		length--;
		  	} while (chan->c_offset%512);

	  	}
	  
	  	// now xfer 512 bytes at a time		
	 	while (length >= 512)
	  	{
	  		if (getnextfilesector(streams[handle].fsam,chan,handle,'w')==error)
	  		{
	  			hclose(handle);
	  			hderror(HEOF);
	  		}
	  		
	  		fastxfer(streams[handle].buff,
	  			(void*)sstart->offset,sstart->page);
	  		chan->c_possn  += 512;
	  		chan->c_dirty=dirty;
	  		saminc(sstart,512);
	  		length -= 512;
	  	}
	  	if (chan->c_filesize < chan->c_possn)
	  		chan->c_filesize = chan->c_possn;
	  	chan->c_offset=512;
	  
 	}
	// xfer any reamining bytes
  	if (length)
	do
	{
		hputc(sgetc(sstart),handle);
		saminc(sstart,1);
	} while (--length);
}	

void movein(int handle,s_samadr *sstart, long length)
{
	s_chan *chan;
	int tmp;

	chan = &streams[handle].fsam->f_fib.f_chan;

	if (length >= 512)
	{
	  	// buffer must be aligned for 512 bytes	
	  	if (chan->c_offset%512)
	  	{
		  	do
		  	{
		  		if ((tmp = hgetc(handle))==error)
					{
						hclose(handle);
						hderror(HEOF);
					}
		  		sputc(sstart,tmp);
		  		saminc(sstart,1);
		  		length--;
		  	} while(chan->c_offset%512);

				if (getnextfilesector(streams[handle].fsam,chan,handle,'r')==error)
				{
					hclose(handle);
					hderror(HEOF);
				}
	  	}
	
		// now xfer 512 bytes at a time		
 		while (length >= 512)
		{
			
			fastxfer((void*)sstart->offset, streams[handle].buff,sstart->page);
			chan->c_possn  += 512;
			if (chan->c_possn < chan->c_filesize)
			{
				if (getnextfilesector(streams[handle].fsam,chan,handle,'r')==error)
				{
					hclose(handle);
					hderror(HEOF);
				}
			}
			saminc(sstart,512);
			length -= 512;
		}
	}

	// xfer any reamining bytes
	if (length>0)
	do
	{
		if ((tmp = hgetc(handle))==error)
		{
			hclose(handle);
			hderror(HEOF);
		}
  		sputc(sstart,tmp);
		saminc(sstart,1);
	} while (--length);
}	
