
#include "hintr.h"
#include "hdstr.h"
#include <stdio.h>
#include "hmalloc.h"
#include "hlow.h"
#include "hcall.h"
#include "hfile.h"
#include "hook.h"
#include "hdio.h"

volatile unsigned char TMPDEV @ 0x5BB8;
volatile unsigned char MYDRIVE @ 0x5C9A;
extern   char catflag;

void tstdrive()
{
	// get drive number for this operation and if not mine then exit
	char path[15];
	int drive;

	drive = 0;
	sscanf((char*)_UFIA,"%c%c%d/:",&path[0],&path[0],&drive,path);
	
	if (drive==0) drive=TMPDEV;

	drive = peekdvar(110+drive);	// look at pretend table

	if (drive != MYDRIVE)
	{
		exit(1);
	}

}

void intr1()	// command channel call at base+3
{
	char* cmd;

	if ((cmd = calloc(1,100))== 0 ) 
	{
		hderror(OUTOFMEMORY);
	}
	
	if (_argc != 0)
	 {
	  getarg(cmd);
	  docmd(cmd);		 
	 } 
	free(cmd); 
}

void intr2()	// 
{
	int i;
	
	printf("\rUFIA:\r");
	for (i=0;i<80;i++)
	{
		printf("%2.2x ",_UFIA[i]);
	}
	printf("\rDFIA:\r");
	for (i=80;i<160;i++)
	{
		printf("%2.2x ",_UFIA[i]);
	}
	printf("\r tr=%d hd=%d se=%d\r",hdmaxtrk,hdmaxhead,hdmaxsect);
	printheap();
}


void intr3()	//
{ 
}

void intr4()	// hook code entry point
{

	switch (_hook)
	{
		
 	case 157:	// run
 		if (catflag) // someone pressed break during a cat
 		{
 			int i;

 			catflag = 0;
 			for (i=15;i>=0;i--) 
 			{
 				hclose(i);	// close all files and flush
 			}
 			freeall();	// free all memory
 		}
		break;

	case 132:	// save
		{
			tstdrive();
			hsave();
			break;
		}

	case 130:	// load
		{
			tstdrive();
			hload();
			break;
		}

	case 129:	// get header
		{
			tstdrive();
			hgethead();
			break;
		}

 // 	case 136:	// boot
 // 		{
 // 			tstdrive();
 // 			boot();
 // 			break;
 // 		}
		
	}	// end of switch
	
	
}
